コンテンツにスキップ

受注ステータス取得

GET
/order_statuses/{order_status_id}
curl --request GET \
--url https://api.smaregi.dev/TARGET-CONTRACT-ID/ec-b2b/order_statuses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'

受注ステータスを取得します。

order_status_id
required
string format: uuid

受注ステータスID

取得成功

Media typeapplication/json
OrderStatusResponse
object
id

受注ステータスID

string format: uuid
name

名前

string
<= 50 characters
displayName

表示名

string
<= 50 characters
progress

ステータス進捗度

ステータスの進捗段階を表す数値。値が小さいほど初期段階を示します。将来ステータスを挟み込めるよう、間隔を空けた段階値(例: 100, 200, 400 など)が採用されています。具体的な値はステータスごとに異なります。

integer
Examples
Exampledefault
{
"id": "12345678-1234-1234-1234-1234567890ab",
"name": "未対応",
"displayName": "未対応",
"progress": 200
}

指定されたIDのリソースが見つからない場合

Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Example
{
"type": "about:blank",
"title": "Not Found",
"detail": "指定されたIDのリソースが見つかりません",
"status": 404
}